Class | Chef::Provider::File
In: | lib/chef/provider/file.rb
Parent: | Chef::Provider

### Methods

action_create action_create_if_missing action_delete action_touch backup compare_content compare_group compare_mode compare_owner load_current_resource set_content set_group set_mode set_owner

### Included Modules

Chef::Mixin::Checksum

### Public Instance methods

action_create()
action_create_if_missing()
action_delete()
action_touch()
backup(file=nil)
compare_content()

Compare the content of a file. Returns true if they are the same, false if they are not.

compare_group()

Compares the group of a file. Returns true if they are the same, false if they are not.

compare_mode()
compare_owner()

Compare the ownership of a file. Returns true if they are the same, false if they are not.

load_current_resource()
set_content()

Set the content of the file, assuming it is not set correctly already.

set_group()
set_mode()
set_owner()

Set the ownership on the file, assuming it is not set correctly already.

[Validate]